package net.wanji.opt.dao.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.opt.entity.EventAlarmInfo;
import net.wanji.opt.po.base.EventStatisticPo;
import net.wanji.opt.po.trend.EventInfoSimplePo;
import net.wanji.opt.po.trend.HoloEventInfoPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author duanruiming
 * @date 2023/01/31 18:32
 */
@Repository
public interface HoloEventMapper extends BaseMapper<HoloEventInfoPO> {
    Integer selectCrossEmergencyCount(String crossId, int startStamp, int endStamp);

    Integer selectEmergencyCountWithLaneIds(String crossId, int startStamp, int endStamp, List<String> laneIds);

    List<HoloEventInfoPO> selectAIList(Date startTime);

    List<HoloEventInfoPO> selectAIGreenList(Date startTime);

    EventStatisticPo findCrossEventCount(Map<String,Object> params);

    List<EventInfoSimplePo> findEventDistribute(Map<String,Object> params);

    List<EventAlarmInfo> findEventAlarmInfo(@Param(value = "greenId") Integer greenId , @Param(value = "crossId") String crossId, @Param(value = "type") String type );

}
